--- a/configure.ac
+++ b/configure.ac
@@ -524,6 +524,10 @@ AS_IF([test "x$EMSCRIPTEN" = "x"], [
     [AC_MSG_RESULT(no)])
   CFLAGS="$oldcflags"
 
+AC_ARG_ENABLE(sse4_1, [AS_HELP_STRING(--disable-sse4_1,Do not use sse4.1 code)],
+  AS_IF([test "x$enableval" = "xyes"], check_sse4_1="yes", check_sse4_1="no"),
+  check_sse4_1="yes")
+AS_IF([test "$check_sse4_1" = "yes"],[
   oldcflags="$CFLAGS"
   AX_CHECK_COMPILE_FLAG([-msse4.1], [CFLAGS="$CFLAGS -msse4.1"])
   AC_MSG_CHECKING(for SSE4.1 instructions set)
@@ -536,6 +540,7 @@ AS_IF([test "x$EMSCRIPTEN" = "x"], [
      AX_CHECK_COMPILE_FLAG([-msse4.1], [CFLAGS_SSE41="-msse4.1"])],
     [AC_MSG_RESULT(no)])
   CFLAGS="$oldcflags"
+  ])
 
   oldcflags="$CFLAGS"
   AX_CHECK_COMPILE_FLAG([-mavx], [CFLAGS="$CFLAGS -mavx"])
@@ -609,6 +614,10 @@ __m512i y = _mm512_permutexvar_epi64(_mm512_setr_epi64(0, 1, 4, 5, 2, 3, 6, 7),
     ])
   CFLAGS="$oldcflags"
 
+AC_ARG_ENABLE(aesni, [AS_HELP_STRING(--disable-aesni,Do not use aesni code)],
+  AS_IF([test "x$enableval" = "xyes"], check_aesni="yes", check_aesni="no"),
+  check_aesni="yes")
+AS_IF([test "$check_aesni" = "yes"],[
   oldcflags="$CFLAGS"
   AX_CHECK_COMPILE_FLAG([-maes], [CFLAGS="$CFLAGS -maes"])
   AX_CHECK_COMPILE_FLAG([-mpclmul], [CFLAGS="$CFLAGS -mpclmul"])
@@ -640,6 +649,7 @@ __m512i y = _mm512_permutexvar_epi64(_mm512_setr_epi64(0, 1, 4, 5, 2, 3, 6, 7),
      ],
     [AC_MSG_RESULT(no)])
   CFLAGS="$oldcflags"
+  ])
 
 ])
 
